MediaWiki:Vector.css

From Forklift Certified Video Games
Revision as of 13:47, 8 June 2025 by Admin (talk | contribs)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* All CSS here will be loaded for users of the Vector skin */

/* Make clickable text on links invisible. */
li#n-discord {
visibility: visible;
font-size:0em;
position: relative;
margin-right: 5px;
}

#n-discord:hover ::after, #n-discord {
content: '';
display: inline-block;
width: 35px;
height: 35px;
float: left;
background: url('https://certified.wiki/images/icons/discord_logo_icon.png');
background-repeat: no-repeat;
background-size: contain;
position: absolute;
}


#mw-panel .portal .body li#n-discord {
font-size:0em;
padding:5px;
}






/* Make clickable text on links invisible. */
li#n-facebook {
visibility: visible;
font-size:0em;
position: relative;
margin-right: 5px;
}

#n-facebook:hover ::after, #n-facebook {
content: '';
display: inline-block;
width: 35px;
height: 35px;
float: left;
background: url('https://certified.wiki/images/icons/facebook_logo_icon.png');
background-repeat: no-repeat;
background-size: contain;
position: absolute;
}



#mw-panel .portal .body li#n-facebook {
font-size:0em;
padding:5px;
}








body { background-color: #c0c0c0; }
#p-navigation { background-color: #c0c0c0; }

#mw-head { width: 100%; background-color: #c0c0c0; }
#mw-head-base { border-top: 1px solid #000000; }
#mw-page-base { background-image: none; background-color: #c0c0c0; }
.mw-heading1, h1, .mw-heading2, h2 { border-bottom: 1px solid #000000; }


#p-logo { background-color: #c0c0c0; }

#p-tb { background-color: #c0c0c0; }
#p-tb-label { background-color: #c0c0c0; }

.mw-body { background-color: rgba(209, 191, 167, 0.69); margin-right: 15px; border: 1px solid #000000; }

/* #content { background-color: #ded5ba; } */
#bodyContent { background-color: rgba(255, 132, 32, 0); }
#firstHeading { background-color: rgba(255, 132, 32, 0); }
.oo-ui-panelLayout-framed { border: 1px solid #000000; }

#catlinks { background-color: #e8e1d5; }
#p-tb .body { background-color: #e8e1d5; }

/* Footer */

#footer { background: none; }

#footer-icons a { background: none; }

.mw-footer { min-height: 100px; margin-top: 20px; padding-left: 0; }
.cdx-button { border: none; }


/* Top menu tabs */

.vector-legacy-sidebar .vector-menu-portal .vector-menu-heading { background-image: none; }

.vector-menu-tabs, .vector-menu-tabs a, .vector-menu-dropdown h3 {
    background-image: none; }

.vector-menu-tabs li {
    background-image: none; background-color: rgba(209, 191, 167); }

.vector-menu-tabs .selected {
    background: none; background-color: rgba(209, 191, 167, 0.69); }

.vector-menu-tabs .selected a, .vector-menu-tabs .selected a:visited {
    color: rgba(230,160,105,0.69); }

/* .vector-menu-tabs { border-top: 1px solid #000000; border-left: 1px solid #000000; border-right: 1px solid #000000;} */



/* Dropdown menu */

.vector-menu-dropdown .vector-menu-content {
 background-image: none;
 background-color: rgba(209, 191, 167);
 border: 1px solid #000000; }

.vector-menu-tabs, .vector-menu-tabs a, #mw-head .vector-menu-dropdown .vector-menu-heading { background-image: none; }